{% extends "header_footer_general.html" %}

{% block title%}
Consumption Chart | SolarSolutions
{% endblock %}

{% block content %}

<body>

  <main id="main">

    {% if more_systems == true %}
    <div style="position: absolute; margin-top:14%; margin-left: 5%;">
      <h3 id="system_1" onclick="make_red(this.id)">System 1</h3>
      <br>
      <h3 id="system_2" onclick="make_red(this.id)">System 2</h3>
      <br>
      <h3 id="system_3" onclick="make_red(this.id)">System 3</h3>
    </div>
    
    <form method="POST">
      <button type="submit" id="submit_system" style="display: none;"></button>
      
      <input type="text" value="{{system}}" style="display: none;" id="selected_system" name="selected_system">
    </form>

    <script>
      window.onload = function(){
        var input = document.getElementById("selected_system");
        var id = parseInt(input.value) + 1
        var id = "system_" + String(id)

        var get_system = document.getElementById(id);
        get_system.style.color = "red";
      }
      function make_red(id){
        console.log(id);

        var input = document.getElementById("selected_system");
        input.value = id


        var submit = document.getElementById("submit_system");
        submit.click();


      }

    </script>
    {% endif %}


    <div class="container" style="width: 50%; height: 80%; margin: 10% auto">
      <div class="section-title">
        <h2>Consumption Chart</h2>
        <p>The following chart illustrates the comparison between your current consumption and the expected energy production, measured in kW, using the system proposed by our calculator, based on your entries.</p>

        <br>
        <br>
        
        <canvas id="myChart"></canvas>
        
        <br>
        <br>
        <h3> Based on our calculations, you will amortize your investment in <b> {{ lower }}-{{ upper }} </b> years.</h3>
      </div>
    </div>


    <input type="text" id="max_point" value="{{consumption_graph.max_point}}" style="display: none;">
    <input type="text" id="column_red" value="{{consumption_graph.colums1}}" style="display: none;">
    <input type="text" id="column_blue" value="{{consumption_graph.colums2}}" style="display: none;">

    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <script>

      var max_point = document.getElementById("max_point").value
      var column_red = document.getElementById("column_red").value
      var column_blue = document.getElementById("column_blue").value

      console.log(column_red[0])

      column_red = column_red.replace('[', '')
      column_red = column_red.replace(']', '')

      column_red = column_red.split(", ")


      column_blue = column_blue.replace('[', '')
      column_blue = column_blue.replace(']', '')
      column_blue = column_blue.split(", ")
      

      const data_column_red = []
      const data_column_blue = []

      let i = 0
      for(i=0; i<column_red.length; i++){
        column_red[i] = parseFloat(column_red[i])
        data_column_red[i] = column_red[i] * max_point / 100;

        column_blue[i] = parseFloat(column_blue[i])
        data_column_blue[i] = column_blue[i] * max_point / 100;

      }
      console.log(column_red)

      data_column_red[i + 1] = max_point
      data_column_blue[i + 1] = max_point

      let myChart = document.getElementById("myChart").getContext("2d");
      let massPopChart = new Chart(myChart, {
        type: "bar",
        data: {
          labels: [
            "January",
            "February",
            "March",
            "April",
            "May",
            "June",
            "July",
            "August",
            "September",
            "October",
            "November",
            "December",
          ],
          datasets: [
            {
              label: "Your consumption",
              data: data_column_red,
              backgroundColor: "rgba(231, 126, 100,0.3)",
              borderColor: "rgba( 231, 126, 100,0.5)",
              borderWidth: 2,
            },
            {
              label: "System's produced energy",
              data: data_column_blue,
              backgroundColor: "rgba(48, 132, 158,0.3)",
              borderColor: "rgba(48, 132, 158,0.5)",
              borderWidth: 2,
            },
          ],
        },
      });
    </script>
      </main>



  <!-- ======= Footer ======= -->

  <a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i class="bi bi-arrow-up-short"></i></a>

</body>

</html>

{% endblock %}